/*
 * Copyright (c) 2023-2025 Datalayer, Inc.
 * Distributed under the terms of the Modified BSD License.
 */
export function asIAMProviderLinked(iamProvider) {
    const info = iamProvider.linkedAccount.replaceAll("'", '"');
    return {
        iamProviderName: iamProvider.iam_ProviderName,
        linkedAccount: JSON.parse(info === '' ? '{}' : info),
        linkedAccountUrl: iamProvider.linkedAccountUrl,
        linkedAccountId: iamProvider.linkedAccountId,
    };
}
